@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@100;200;300;400;500&display=swap');
html, body {
    padding: 0;
    margin: 0;
    font-family: 'Nunito', sans-serif;
}

svg {
    vertical-align: top;
}

body>div.hlavniStrana {
    background-image: url(img/Magnolia2021-1000.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 250vh;
    display: flex;
    align-items: flex-start;
    justify-content: center;
}

div#card {
    background-color: rgba(255, 239, 204, 0.6);
    max-width: 570px;
    width: 90vw;
    text-align: center;
    padding: 30px;
    margin: 10vw 0;
    box-sizing: border-box;
    border-radius: 12px;
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    box-shadow: 0px 0px 100px 0px rgba(255, 255, 255, 0.5);
}

div#card img#icon {
    width: 125px;
    height: 125px;
    border-radius: 50%;
}

div#card h1 {
    font-weight: 300;
    font-size: 30px;
    margin: 10px 10px 5px 10px;
}

div#card h2 {
    font-weight: 300;
    font-size: 25px;
    margin: 0 15px 15px 15px;
}

div#card div.donateBtn {
    margin: 30px 0;
}

a.kofi-button {
    box-shadow: none !important;
}

a.socials {
    display: inline-block;
    line-height: 1;
}

a.socials svg {
    width: 30px;
    height: 30px;
    margin: 15px;
    fill: rgb(0, 0, 0);
}

body>header {
    background: rgb(177, 198, 140);
    background: linear-gradient(0deg, rgba(177, 198, 140, 1) 0%, rgba(27, 156, 135, 1) 24%, rgba(26, 65, 125, 1) 56%, rgba(8, 38, 83, 1) 100%);
    margin: 0;
    min-height: 120px;
    text-align: center;
}

body>header a {
    text-decoration: none;
}

body>header h1 {
    font-weight: 100;
    font-size: 45px;
    margin: 0;
    padding: 80px 0px;
    color: white;
}

body>header h1>strong {
    font-weight: 500;
}

.gradientline {
    height: 2px;
    margin: 10px 0;
    background: linear-gradient(270deg, rgba(177, 198, 140, 1) 0%, rgba(27, 156, 135, 1) 24%, rgba(26, 65, 125, 1) 56%, rgba(8, 38, 83, 1) 100%);
}

.sada {
    display: flex;
    position: relative;
    gap: min(6vw, 48px);
    flex-direction: column;
}

.hlavni {
    margin: min(6vw, 72px);
}

body>footer {
    background: rgba(8, 38, 83, 1);
    background: linear-gradient(0deg, rgba(177, 198, 140, 1) 0%, rgba(27, 156, 135, 1) 24%, rgba(26, 65, 125, 1) 56%, rgba(8, 38, 83, 1) 100%);
    margin: 0;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    padding: min(10vw, 48px) min(6vw, 72px);
    min-height: unset;
    text-align: center;
}

#footercard {
    display: flex;
    gap: 16px;
    align-items: center;
    flex-direction: column;
    text-align: center;
}

body>footer img#icon {
    width: 80px;
    height: 80px;
    border-radius: 50%;
}

body>footer h2 {
    font-weight: 300;
    font-size: 30px;
    margin: 0px;
    color: white;
}

body>footer h3 {
    font-weight: 300;
    font-size: 20px;
    margin: 0 0px 6px 0px;
    color: white;
}

#footersocials {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    gap: 12px;
    padding-top: 16px
}

.socialicons {
    display: flex;
    justify-content: center;
}

body>footer a.socials {
    display: inline-block;
    line-height: 1;
}

body>footer a.socials svg {
    width: 20px;
    height: 20px;
    margin: 15px;
    fill: rgb(255, 255, 255);
}

@media(max-width:999px) {
    body>header h1 {
        font-size: 34px
    }
    body>header h1 span {
        display: block;
    }
    body>header h1 span.divider {
        transform: rotate(90deg);
        margin: -5px 0 -15px;
        pointer-events: none;
    }
}

@media (min-width:1000px) {
    body>div.hlavniStrana {
        background-image: url(img/Magnolia2019-1920.webp);
        background-repeat: no-repeat;
        background-size: cover;
        width: 100%;
        height: 100vh;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    div#card {
        background-color: rgba(255, 239, 204, 0.6);
        width: 570px;
        text-align: center;
        padding: 50px;
        margin-right: 600px;
        box-sizing: border-box;
        border-radius: 12px;
        backdrop-filter: blur(2px);
        -webkit-backdrop-filter: blur(2px);
        box-shadow: 0px 0px 100px 0px rgba(255, 255, 255, 0.5);
    }
    div#card h1 {
        font-weight: 300;
        font-size: 50px;
        margin: 15px 0px 5px 0px;
    }
    body>header {
        background: rgb(255, 231, 66);
        background: radial-gradient(circle, rgba(255, 231, 66, 1) 0%, rgba(255, 107, 107, 1) 64%, rgba(194, 129, 247, 1) 100%);
        margin: 0;
        min-height: 120px;
        text-align: center;
    }
    body>header h1 {
        font-weight: 100;
        font-size: 45px;
        padding: 80px 0px;
        color: white;
    }
    .gradientline {
        background: radial-gradient(circle, rgba(255, 231, 66, 1) 0%, rgba(255, 107, 107, 1) 64%, rgba(194, 129, 247, 1) 100%);
    }
    .sada {
        flex-direction: row;
    }
    .legenda {
        position: sticky;
        top: min(6vw, 48px);
        left: 0;
        height: calc(100vh - min(6vw, 48px));
        min-width: 280px
    }
    body>footer {
        background: rgb(255, 107, 107);
        background: radial-gradient(circle, rgba(255, 231, 66, 1) 0%, rgba(255, 107, 107, 1) 64%, rgba(194, 129, 247, 1) 100%);
        margin: 0;
        text-align: center;
        flex-direction: row;
    }
    #footercard {
        text-align: left;
        gap: 32px;
        flex-direction: row;
    }
    #footersocials {
        text-align: right;
    }
    .socialicons {
        justify-content: flex-start;
    }
}

@media(min-width:1200px) {
    .sada {
        gap: 96px
    }
}